Stikkordarkiv: php 7.2

PHP 5.6 og 7.0 avvikles – dags å oppgradere til PHP 7.2

Både PHP 5.6 og 7.0 avvikles i slutten av 2018. Dette betyr at du som bruker disse PHP-versjonene i dag må oppgradere til en senere PHP-versjon så snart som mulig. Dette for at nettstedet ditt skal fortsette å virke, være raskere og holdes sikker.

Hva er PHP?
PHP står for Hypertext Preprocessor og er et skriptspråk som primært kjører på webservere for å lede nettsteder med dynamisk innhold (for eksempel blogger, nyhetsfeeds, søkemotorer, etc.). I Loopia tilbyr vi PHP på alle UNIX-serverne våre.

Skal du oppdatere fra PHP 5.6 til 7.x? Se over koden din nå
Utviklerne av PHP 7.x har forsøkt å gjøre oppgraderingen fra 5.6 til 7.x så smidig som mulig. Vi anbefaler likevel at du vurderer nettstedets programkode for å sikre at denne fungerer som før.

Gjør derfor dette:

  • Sjekk at du har installert den nyeste versjonen av WordPress/Joomla/OpenCart. Nåværende versjon og informasjon om hvordan du oppdaterer finner du på den respektive leverandørens nettsted.
  • Pass også på at alle tillegg og temaer er oppdatert og kompatibelt med PHP 7.x, da det ikke alltid skjer automatisk. Hvis tilleggene dine har blitt oppdatert det siste året, bør de være klare for PHP 7.1+, men det gjør ikke noe å dobbeltsjekke med utviklerne av temaet/tillegget.
  • Les gjennom veiledningene nedenfor og sjekk av slik at nettstedet ditt forberedt for oppgraderingen til 7.x. Merk at hvis du selv har programmert nettsiden din med mysql _ * -funksjonene, må du bytte dem til mysqli eller PDO. Hvis du har en senere versjon av WordPress/Joomla/OpenCart, bruker du allerede riktige databaseforbindelser.

» Oppgradering fra 5.6 til 7.0
» Oppgradering fra 7.0 til 7.1
» Oppgradering fra 7.1 til 7.2

Slik velger du til en senere PHP-versjon i Loopia Kundesone
Du som er webhosting kunde hos Loopia kan enkelt velge hvilken PHP-versjon du vil bruke for nettstedet ditt i Loopia Kundesone. Vær oppmerksom på at dette bare gjelder for nettsteder som ligger på UNIX-serveren vår (ikke Loopia Sitebuilder og Windows).

1. Logg inn i Loopia Kundesone og velg domenenavnet du vil endre PHP-versjon for i listen under «Domenenavn».

2. Under “Konfigurering” klikker du på “Nettside hos Loopia” > “Unix”.

3. Velg ønsket PHP-versjon og klikk på «Lagre». Hvis nettsiden ikke virker som ønsket etter byttet, kan du prøve å bytte til en tidligere PHP-versjon.

En vanlig feil etter at PHP-versjonen er erstattet er at siden viser «Internal Server Error». Dette skyldes vanligvis enkle feil i .htaccess-filen. Se denne veiledningen (svensk tekst) for hvordan du løser dette raskt for å kunne kjøre den nyeste PHP-versjonen på nettstedet ditt.

 

 

Del: Facebooktwittergoogle_pluslinkedinmail